Dokumentasyon ng API
Ang Infrastructure ng Uncensored Intelligence
Ang uncensored AI API: mga Shannon model na walang pagtanggi at walang filter, na pinapatakbo sa sarili naming mga GPU. Compatible sa OpenAI at Anthropic — ipasok lang ang SDK na ginagamit mo na, isang key, streaming, tool calling at reasoning sa bawat endpoint.
- 22 uncensored na model
- 256K context window
- mula sa $0.50/1M
- 3 compatible na API
- 3 network: TLS, Tor, I2P
Magsimulang bumuo Subukan ang Playground
from openai import OpenAI
client = OpenAI(
api_key="YOUR_API_KEY",
base_url="https://api.shannon-ai.com/v1"
)
response = client.chat.completions.create(
model="shannon-3",
messages=[
{"role": "user", "content": "Hello, Shannon!"}
],
max_tokens=1024
)
print(response.choices[0].message.content) import OpenAI from 'openai';
const client = new OpenAI({
apiKey: 'YOUR_API_KEY',
baseURL: 'https://api.shannon-ai.com/v1'
});
const response = await client.chat.completions.create({
model: 'shannon-3',
messages: [
{ role: 'user', content: 'Hello, Shannon!' }
],
max_tokens: 1024
});
console.log(response.choices[0].message.content); package main
import (
"context"
"fmt"
openai "github.com/sashabaranov/go-openai"
)
func main() {
config := openai.DefaultConfig("YOUR_API_KEY")
config.BaseURL = "https://api.shannon-ai.com/v1"
client := openai.NewClientWithConfig(config)
resp, err := client.CreateChatCompletion(
context.Background(),
openai.ChatCompletionRequest{
Model: "shannon-3",
Messages: []openai.ChatCompletionMessage{
{Role: "user", Content: "Hello, Shannon!"},
},
MaxTokens: 1024,
},
)
if err != nil {
panic(err)
}
fmt.Println(resp.Choices[0].Message.Content)
} curl -X POST "https://api.shannon-ai.com/v1/chat/completions" \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"model": "shannon-3",
"messages": [
{"role": "user", "content": "Hello, Shannon!"}
],
"max_tokens": 1024
}' Mga model at presyo KADA 1M TOKENS
Mga limitasyon, ids at kung paano nabubuo ang mga presyoMga hosted open-weight model 262,144-token na context sa bawat id; hiwalay na sinisingil ang input at output; tinatanggap ng bawat id ang tinatanggap ng model na ginagaya nito
- Uncensored
DeepSeek-V4-Pro-0813
3BIT-REAPDeepSeek · 1.6T MoE · 49B active
Flagship-scale na model para sa malalim na reasoning at long-form na output.
Model idDeepSeek-V4-Pro-0813-3BIT-REAP- Context
- 256K
- Input
- Text na input
- Structured output
- JSON schema
- Tools
- Reasoning
- Reasoning effort
- Prompt caching
- Streaming
- In / cached / out kada 1M
- $1.95 / $0.488 / $3.90
- Uncensored
GLM-5.2
3BIT-REAPZ.ai · 744B MoE · 40B active
Malakas na generalist na model na may mayamang multilingual na output.
Model idGLM-5.2-3BIT-REAP- Context
- 256K
- Input
- Text na input
- Structured output
- JSON schema
- Tools
- Reasoning
- Reasoning effort
- Prompt caching
- Streaming
- In / cached / out kada 1M
- $0.73 / $0.183 / $2.34
- Uncensored
Kimi-K3
3BIT-REAPMoonshot AI · 2.8T MoE · 104B active
High-end na model na naka-tune para sa masusi at detalyadong mga sagot.
Model idKimi-K3-3BIT-REAP- Context
- 256K
- Input
- Text + image na input
- Structured output
- JSON schema
- Tools
- Reasoning
- Reasoning effort
- Prompt caching
- Streaming
- In / cached / out kada 1M
- $3.83 / $0.958 / $19.12
- Uncensored
Nemotron3Ultra
3BIT-REAPNVIDIA · 550B hybrid Mamba-Attention MoE · 55B active
Episyenteng malaking model na may malakas na reasoning kada dolyar.
Model idNemotron3Ultra-3BIT-REAP- Context
- 256K
- Input
- Text na input
- Structured output
- JSON schema
- Tools
- Reasoning
- Reasoning effort
- Prompt caching
- Streaming
- In / cached / out kada 1M
- $0.75 / $0.188 / $3.30
- Uncensored
MiniMax-M3
3BIT-REAPMiniMax · 428B MoE · 23B active · sparse attention
Mabilis at mura na model para sa mataas na dami ng workload.
Model idMiniMax-M3-3BIT-REAP- Context
- 256K
- Input
- Text + image na input
- Structured output
- JSON schema
- Tools
- Reasoning
- Reasoning effort
- Prompt caching
- Streaming
- In / cached / out kada 1M
- $0.50 / $0.125 / $2.00
- Uncensored
DeepSeek-V4-Flash-0731
W4A16-AUTOROUND-REAPDeepSeek · 284B MoE · 13B active
Mabilis na DeepSeek model na nagbabalanse ng bilis at kalidad.
Model idDeepSeek-V4-Flash-0731-W4A16-AUTOROUND-REAP- Context
- 256K
- Input
- Text na input
- Structured output
- JSON schema
- Tools
- Reasoning
- Reasoning effort
- Prompt caching
- Streaming
- In / cached / out kada 1M
- $0.50 / $0.125 / $2.00
- Uncensored
Kimi-K2.6
W4A16-AUTOROUND-REAPMoonshot AI · 1T MoE · 32B active
Mahusay na model para sa pang-araw-araw na reasoning at pag-draft.
Model idKimi-K2.6-W4A16-AUTOROUND-REAP- Context
- 256K
- Input
- Text + image na input
- Structured output
- JSON schema
- Tools
- Reasoning
- Reasoning effort
- Prompt caching
- Streaming
- In / cached / out kada 1M
- $0.78 / $0.195 / $3.67
- Uncensored
Laguna-S-2.1
W4A16-AUTOROUND-REAPPoolside · 118B MoE · 8B active
Ultra-low-cost na model para sa magagaang gawain.
Model idLaguna-S-2.1-W4A16-AUTOROUND-REAP- Context
- 256K
- Input
- Text na input
- Structured output
- Walang structured output
- Tools
- Reasoning
- Reasoning effort
- Prompt caching
- Streaming
- In / cached / out kada 1M
- $0.50 / $0.125 / $2.00
- Uncensored
inkling
W4A16-AUTOROUND-REAPThinking Machines · 975B MoE · 41B active
Malikhaing model na may natatanging boses sa pagsusulat.
Model idinkling-W4A16-AUTOROUND-REAP- Context
- 256K
- Input
- Text + image na input
- Structured output
- JSON object
- Tools
- Reasoning
- Reasoning effort
- Prompt caching
- Streaming
- In / cached / out kada 1M
- $1.42 / $0.355 / $6.07
- Uncensored
MiMo-V2.5-Pro
W8A16Xiaomi · 1.02T MoE · 42B active · 8-bit
Compact na pro model para sa structured at eksaktong output.
Model idMiMo-V2.5-Pro-W8A16- Context
- 256K
- Input
- Text na input
- Structured output
- JSON schema
- Tools
- Reasoning
- Reasoning effort
- Prompt caching
- Streaming
- In / cached / out kada 1M
- $0.50 / $0.125 / $2.00
- Uncensored
MiMo-V2.5
W8A16Xiaomi · 8-bit multimodal · W8A16
Maliit at mabilis na model para sa simpleng gawain sa pinakamababang halaga.
Model idMiMo-V2.5-W8A16- Context
- 256K
- Input
- Text + image na input
- Structured output
- JSON schema
- Tools
- Reasoning
- Reasoning effort
- Prompt caching
- Streaming
- In / cached / out kada 1M
- $0.50 / $0.125 / $2.00
- Uncensored
Hy3
W8A16Tencent · 295B MoE · 21B active · 8-bit
Budget na model para sa maikli at pakikipag-usap na mga sagot.
Model idHy3-W8A16- Context
- 256K
- Input
- Text na input
- Structured output
- JSON schema
- Tools
- Reasoning
- Reasoning effort
- Prompt caching
- Streaming
- In / cached / out kada 1M
- $0.50 / $0.125 / $2.00
Mga Shannon model isang flat na rate para sa input at output
-
UncensoredShannon 1.6 Lite
Mabilis at episyenteng mga sagot para sa pang-araw-araw na gawain
Model idshannon-1.6-lite- Context
- 192K
- Input
- Text + image na input
- Structured output
- JSON schema
- Tools
- Web search
- Streaming
- Presyo / 1M tokens
- $3.90
-
UncensoredShannon 1.6 Pro
Advanced na reasoning para sa kumplikadong problema
Model idshannon-1.6-pro- Context
- 192K
- Input
- Text + image na input
- Structured output
- JSON schema
- Tools
- Reasoning
- Web search
- Streaming
- Presyo / 1M tokens
- $7.80
-
UncensoredShannon 2 Lite
Shannon 2 Lite: mabilis na think-draft-review pipeline na may nakikitang reasoning trace. Pang-araw-araw na chat, buod at Q&A.
Model idshannon-2-lite- Context
- 192K
- Input
- Text + image na input
- Structured output
- JSON schema
- Tools
- Reasoning
- Web search
- Streaming
- Presyo / 1M tokens
- $3.90
-
UncensoredShannon 2 Pro
Shannon 2 Pro: mas malalim na think-draft-review passes para sa analysis, long-form na pagsusulat at multi-step reasoning.
Model idshannon-2-pro- Context
- 192K
- Input
- Text + image na input
- Structured output
- JSON schema
- Tools
- Reasoning
- Web search
- Streaming
- Presyo / 1M tokens
- $5.85
-
UncensoredShannon 3
Pinakabagong henerasyon ng Shannon model na may mabilis na reasoning sa mababang flat na presyo.
Model idshannon-3- Context
- 192K
- Input
- Text + image na input
- Structured output
- JSON schema
- Tools
- Reasoning
- Web search
- Streaming
- Presyo / 1M tokens
- $3.35
-
UncensoredShannon 3 Pro
Mas mataas na kakayahang tier ng Shannon 3 para sa kumplikado at multi-step na trabaho.
Model idshannon-3-pro- Context
- 192K
- Input
- Text + image na input
- Structured output
- JSON schema
- Tools
- Reasoning
- Web search
- Streaming
- Presyo / 1M tokens
- $3.35
-
UncensoredShannon 3.1
Shannon 3 sa sarili naming hardware, nag-i-stream nang buong bilis nang walang rate gate.
Model idshannon-3.1- Context
- 192K
- Input
- Text + image na input
- Structured output
- JSON schema
- Tools
- Reasoning
- Web search
- Streaming
- Presyo / 1M tokens
- $3.35
-
UncensoredShannon 3.1 Pro
Buong bilis na malalim na reasoning na may background research pass para sa mahihirap na tanong.
Model idshannon-3.1-pro- Context
- 192K
- Input
- Text + image na input
- Structured output
- JSON schema
- Tools
- Reasoning
- Web search
- Streaming
- Presyo / 1M tokens
- $3.35
-
UncensoredShannon 3.5
One streaming answer that thinks, searches, draws charts and diagrams and writes files inline.
Model idshannon-3.5- Context
- 192K
- Input
- Text + image na input
- Structured output
- JSON schema
- Tools
- Streaming
- Presyo / 1M tokens
- $3.35
-
UncensoredShannon Coder 1
Espesyalista sa code at tools: agentic editing, mahahabang file, at mahigpit na tool loops.
Model idshannon-coder-1- Context
- 128K
- Input
- Text na input
- Structured output
- JSON schema
- Tools
- Reasoning
- Streaming
- Presyo / 1M tokens
- $8.00
Mag-browse sa docs
- Mabilis na Pagsisimula Gumawa ng key, ituro ang iyong SDK sa Shannon at magpadala ng unang request.
- Mga model at presyo Bawat model id kasama ang context window, inputs at presyo kada 1M tokens.
- Pagpapatunay Isang key para sa bawat endpoint: Bearer header o x-api-key.
- Pag‑stream Server-sent events na may reasoning deltas; dumarating ang usage sa huling chunk.
- Function calling Magdefine ng tools, hayaang tawagin ito ng model, gabayan gamit ang tool_choice.
- Structured outputs Mga sagot bilang JSON object o ayon sa iyong JSON schema.
- Reasoning effort Basahin ang reasoning stream; i-set ang effort sa mga hosted open-weight model.
- Prompt caching Awtomatikong kine-cache ng mga hosted na model ang paulit-ulit na prompt prefix, sa 25% ng input price.
- Responses API Ang OpenAI Responses dialect sa parehong mga model at key.
- Anthropic Panatilihin ang iyong Anthropic SDK at Messages code; palitan lang ang base URL.
- Mga CLI coding tool Claude Code at Codex CLI na Shannon ang model sa likod.
- Paghawak ng Error Mga status code, error type at ang hugis ng error body.
Handa nang bumuo?
May kasamang free tier ang bawat account. Isang click na lang ang iyong key.